Bug 843165 - Content Search: Compare - Repo compare UI inexplicably expands to all/multiple environments upon return from Compare
Content Search: Compare - Repo compare UI inexplicably expands to all/multipl...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Eric Helms
Corey Welton
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 14:56 EDT by Corey Welton
Modified: 2014-09-18 12:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When using Content Search to compare repositories within a specific Library, going back to the result expanded the initial search results into multiple repositories not previously part of the search. This fix restrict this search within the subset of selections chosen. The views when going "back to results" now remain the same as they were when comparing repositories.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:48:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
before and after screenshots (50.33 KB, image/png)
2012-07-25 15:02 EDT, Corey Welton
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1543 normal SHIPPED_LIVE Important: CloudForms System Engine 1.1 update 2012-12-04 19:39:57 EST

  None (edit)
Description Corey Welton 2012-07-25 14:56:16 EDT
Description of problem:
When a user performs a repo compare and then returns to the previous view, the # of environments is expanded to beyond what the original UI displayed.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Sync a variety of RH and third party repos; promote them randomly to different environments, too.
2.  Content Search - Content type of "Repos"
3.  Enter "*" in the first field of the ensuing Repos div and hit enter
4.  Assuring that you are ONLY comparing from those within Library, go within the search results, chose two repos at random and hit "Compare Repos"
5.  When you are done, hit "Back to Results" button

Actual results:
The initial search results are suddenly somehow expanded out into multiple repos

Expected results:
View should remain the same as to what it was before the Compare

Additional info:
Comment 1 Corey Welton 2012-07-25 14:56:31 EDT
Katello Version: 0.2.49-1.git.2.b978990.el6_3
Comment 2 Corey Welton 2012-07-25 15:02:23 EDT
Created attachment 600379 [details]
before and after screenshots
Comment 3 Eric Helms 2012-08-28 09:38:16 EDT
This appears fixed in current master (1eda7041ba71cc1b21c11e8311754c58789a66d1)
Comment 5 Corey Welton 2012-09-18 12:35:50 EDT
QE Verified

CloudForms System Engine Version: 1.1.12-7.el6cf
Comment 7 errata-xmlrpc 2012-12-04 14:48:22 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 8 Mike McCune 2013-08-16 14:21:51 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.